Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark
Class SolverBenchmarkSuite

    java.lang.Object
      org.drools.planner.benchmark.SolverBenchmarkSuite

    public class SolverBenchmarkSuite

extends Object

Nested Class Summary
`static class` | `SolverBenchmarkSuite.SolverStatisticType`

Field Summary
`static NumberFormat` | `TIME_FORMAT`

Constructor Summary
`SolverBenchmarkSuite()`

Method Summary
`void` | `benchmark(com.thoughtworks.xstream.XStream xStream)`
`void` | `benchmarkingEnded(com.thoughtworks.xstream.XStream xStream, Map<File,SolverStatistic> unsolvedSolutionFileToStatisticMap)`
`void` | `benchmarkingStarted()`
`File` | `getBenchmarkDirectory()`
`File` | `getSolvedSolutionFilesDirectory()`
`Comparator<SolverBenchmark>` | `getSolverBenchmarkComparator()`
`List<SolverBenchmark>` | `getSolverBenchmarkList()`
`File` | `getSolverStatisticFilesDirectory()`
`SolverBenchmarkSuite.SolverStatisticType` | `getSolverStatisticType()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setSolvedSolutionFilesDirectory(File solvedSolutionFilesDirectory)`
`void` | `setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)`
`void` | `setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)`
`void` | `setSolverStatisticFilesDirectory(File solverStatisticFilesDirectory)`
`void` | `setSolverStatisticType(SolverBenchmarkSuite.SolverStatisticType solverStatisticType)`
`void` | `writeBenchmarkResult(com.thoughtworks.xstream.XStream xStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIME_FORMAT

    public static final NumberFormat TIME_FORMAT

Constructor Detail

### SolverBenchmarkSuite

    public SolverBenchmarkSuite()

Method Detail

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getSolvedSolutionFilesDirectory

    public File getSolvedSolutionFilesDirectory()

### setSolvedSolutionFilesDirectory

    public void setSolvedSolutionFilesDirectory(File solvedSolutionFilesDirectory)

### getSolverStatisticFilesDirectory

    public File getSolverStatisticFilesDirectory()

### setSolverStatisticFilesDirectory

    public void setSolverStatisticFilesDirectory(File solverStatisticFilesDirectory)

### getSolverStatisticType

    public SolverBenchmarkSuite.SolverStatisticType getSolverStatisticType()

### setSolverStatisticType

    public void setSolverStatisticType(SolverBenchmarkSuite.SolverStatisticType solverStatisticType)

### getSolverBenchmarkComparator

    public Comparator<SolverBenchmark> getSolverBenchmarkComparator()

### setSolverBenchmarkComparator

    public void setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)

### getSolverBenchmarkList

    public List<SolverBenchmark> getSolverBenchmarkList()

### setSolverBenchmarkList

    public void setSolverBenchmarkList(List<SolverBenchmark> solverBenchmarkList)

### benchmarkingStarted

    public void benchmarkingStarted()

### benchmark

    public void benchmark(com.thoughtworks.xstream.XStream xStream)

### benchmarkingEnded

    public void benchmarkingEnded(com.thoughtworks.xstream.XStream xStream,
                                  Map<File,SolverStatistic> unsolvedSolutionFileToStatisticMap)

### writeBenchmarkResult

    public void writeBenchmarkResult(com.thoughtworks.xstream.XStream xStream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.